# Nidi is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Nidi is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Nidi.  If not, see <http://www.gnu.org/licenses/>.

# -*- coding: utf-8 -*-

import sys, os, traceback
sys.path.insert(0, (os.environ['NIDI']+'./lib'))
import sqlite3

con=None

def dbFoodScan(code):
  con=sqlite3.connect(os.environ['NIDI']+'/db/food.db')
  con.row_factory=sqlite3.Row
  conm=con.cursor()
  cm=conm.execute("select * from meals order by rowid asc limit 1")
  row=cm.fetchone()
  cols=row.keys()
  c = con.cursor()
  c.execute("select * from meals where code=?", (code,))
  rows = c.fetchall()
  return (cols,rows)

#DEBUG
#print dbFoodScan('5449000025173')
